Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractAnnotationMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractAnnotationMetaData

All Implemented Interfaces:
  AnnotationMetaData, Cloneable, org.jboss.util.JBossInterface, MetaDataVisitorNode

public class AbstractAnnotationMetaData
extends org.jboss.util.JBossObject
implements AnnotationMetaData

Metadata for an annotation.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Field Summary
`protected Set` | `attributes` The attributes Set
`protected String` | `name` The annotation class name

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractAnnotationMetaData()` Create a new annotation meta data

Method Summary
`Set` | `getAttributes()` Get the annotation attributes.
`Iterator` | `getChildren()` Return the child nodes
`String` | `getName()` Get the name
`void` | `setAttributes(Set attributes)` Set the attributes.
`void` | `setName(String name)` Set the name.
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `visit(MetaDataVisitor visitor)` Visit the node

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Field Detail

### name

    protected String name

  The annotation class name

### attributes

    protected Set attributes

  The attributes Set

Constructor Detail

### AbstractAnnotationMetaData

    public AbstractAnnotationMetaData()

  Create a new annotation meta data

Method Detail

### setName

    public void setName(String name)

  Set the name.

  Parameters:
    `name` - The name to set.

### setAttributes

    public void setAttributes(Set attributes)

  Set the attributes.

  Parameters:
    `attributes` - Set

### getName

    public String getName()

  Description copied from interface: `AnnotationMetaData`
  Get the name

  Specified by:
    `getName` in interface `AnnotationMetaData`
  Returns:
    the name

### getAttributes

    public Set getAttributes()

  Description copied from interface: `AnnotationMetaData`
  Get the annotation attributes.

  Specified by:
    `getAttributes` in interface `AnnotationMetaData`
  Returns:
    Set.

### visit

    public void visit(MetaDataVisitor visitor)

  Description copied from interface: `MetaDataVisitorNode`
  Visit the node

  Specified by:
    `visit` in interface `MetaDataVisitorNode`
  Parameters:
    `visitor` - the visitor

### getChildren

    public Iterator getChildren()

  Description copied from interface: `MetaDataVisitorNode`
  Return the child nodes

  Specified by:
    `getChildren` in interface `MetaDataVisitorNode`
  Returns:
    Iterator or null if there aren't any

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

  Specified by:
    `toShortString` in interface `org.jboss.util.JBossInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.